<?php

// Обработка времени
function vtime($var, $title=false)
{
    # Если время не задано берем текущее
    if ($var == NULL) $var = time();

    # Время + Дата
    $full_time = date('d.m.Y '.lang('в','о').' H:i', $var);

    # Дата
    $date = date('d.m.Y', $var);

    # Время
    $time = date('H:i', $var);

    # Если текущаяя дата совпадает с заданной
    if ($date == date('d.m.Y'))
	{
		$full_time = date(''.lang('Сегодня в','Сьогодні о').' H:i', $var);
		$h = date('H', $var);
		$i = date('i', $var);
		if ($h == date('H'))
		{
			if ($i == date('i')) $full_time = lang('только что','тільки що');
			else $full_time = (date('i') - $i).' '.lang('мин. назад','хв. тому');
		}
		else
		{
			$full_time = $time;
		}
	}

    # Вчерашняя дата
    if ($date == date('d.m.Y', time()-60*60*24)) $full_time = date(''.lang('Вчера в','Вчора о').' H:i', $var);

	if ($title == false) $full_time = '<font class="time"><small>'.$full_time.'</small></font>';
	
    return $full_time;
}

?>